<?php

/*
 * EverList - A free email listserv written in PHP.
 * Copyright (C) 2008 by Kris Craig.
 * 07.20.2008
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require( "common.php" );

foreach ( $_GET as $getvar => $getval )
{
	$$getvar = $getval;
}

foreach ( $_POST as $postvar => $postval )
{
	$$postvar = $postval;
}

$userdata = array();
$userdata = AuthenticateUser();
if ( $userdata["authstatus"] != 1 )
{
	UserLogin( $userdata["authstatus"] );
	die();
}

GenerateHeader( "EverList - Delete Post", TRUE );
$topdata = array();
$topdata = GenerateTop( $userdata );

$profiledata = array();
$profiledata = $topdata["profiledata"];

$forumdata = array();
$forumdata = LoadForum( $profiledata["currentforumid"] );

$postdata = array();
$postdata = LoadPost( $pid );

if ( $postdata["success"] == FALSE )
{
	print "<b style=\"color: red\">";
	print $postdata["errmsg"];
	print "</b>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}

if ( $postdata["createdbyuserid"] != $userdata["userid"] 
	&& strcasecmp( $userdata["status"], "ADMIN" ) )
{
	print "<b style=\"color: red\">";
	print "ACCESS DENIED!";
	print "</b>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}

if ( strcasecmp( $postdata["pstatus"], "NEW" ) )
{
	print "<b style=\"color: red\">";
	print "You cannot delete this post!  It has already been emailed out.";
	print "</b>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}

if ( $confirm == 1 )
{
	$query = "delete from posts where pid='$pid'";
	$resulttl1 = mysql_query( $query ) or die( "Query '$query' failed for resulttl1 in deletepost.php : " . mysql_error() );
	
	print "<h3 style=\"color: green\">Your post has been deleted successfully!  It will NOT be emailed out.</h3>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}
else
{
	?>
	<form name="deleteconfirm" id="deleteconfirm" action="deletepost.php" method="POST">
	<input type="hidden" name="pid" value="<?php print $pid; ?>" />
	<input type="hidden" name="confirm" value="1" />
	</form>
	
	<script language="JavaScript">
	var confirmed = confirm( "Are you sure?  Your post will be PERMANENTLY deleted!" );
	if ( confirmed )
	{
		document.deleteconfirm.submit();
	}
	else
	{
		window.location.href="messages.php";
	}
	</script>
	
	<?php
}

GenerateBottom();
GenerateFooter();
