<?php

/*
 * EverList - A free email listserv written in PHP.
 * Copyright (C) 2008 by Kris Craig.
 * 07.20.2008
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require( "config.php" );
require( "common.php" );

foreach ( $_GET as $getvar => $getval )
{
	$$getvar = $getval;
}

foreach ( $_POST as $postvar => $postval )
{
	$$postvar = $postval;
}

$userdata = array();
$userdata = AuthenticateUser();

if ( $userdata["authstatus"] != 1 )
{
	UserLogin( $userdata["authstatus"] );
	die();
}

$profiledata = array();
$profiledata = LoadProfile( $userdata["userid"] );

if ( trim( $fid ) == NULL )
{
	$fid = $profiledata["currentforumid"];
}

$forumdata = array();
$forumdata = LoadForum( $fid );

if ( trim( $fid ) == NULL || $forumdata["success"] == FALSE )
{
	header( "Location: all_forums.php" );
	die();
}

$subscribed = IsSubscribed( $profiledata, $forumdata["fid"] );
$invited = IsInvited( $profiledata, $forumdata["fid"] );

if ( $forumdata["subscriptionpolicy"] == 0 && $subscribed == FALSE )
{
	GenerateHeader( "EverList - Subscribe", TRUE );
	$topdata = array();
	$topdata = GenerateTop( $userdata );
	
	print "<h3>" . $forumdata["fname"] . "</h3>";
	print "<b style=\"color: red\">This forum is currently not accepting new subscriptions.</b>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}
else if ( $forumdata["subscriptionpolicy"] == 3 && $subscribed == FALSE 
	&& $invited == FALSE )
{
	GenerateHeader( "EverList - Subscribe", TRUE );
	$topdata = array();
	$topdata = GenerateTop( $userdata );
	
	print "<h3>" . $forumdata["fname"] . "</h3>";
	print "<b style=\"color: red\">Only invited users may subscribe to this forum.</b>";
	
	GenerateBottom();
	GenerateFooter();
	die();
}

$cur_time = time();

$query = "select * from pendingsubs where fid='$fid' AND userid='" . $userdata["userid"] . "'";
$resulttl3 = mysql_query( $query ) or die( "Query '$query' failed for resulttl3 in subscribe.php : " . mysql_error() );

$pendingapproved = FALSE;
$pendingsubdata = array();
while ( $line = mysql_fetch_array( $resulttl3, MYSQL_ASSOC ) )
{
	$sqloop = 0;
	foreach ( $line as $col_value )
	{
		$fieldname = mysql_field_name( $resulttl3, $sqloop );
		$pendingsubdata[$fieldname] = $col_value;
		$sqloop++;
	}
}

if ( $pendingsubdata["fid"] == $fid )
{
	if ( strcasecmp( $pendingsubdata["status"], "APPROVED" ) == 0 )
	{
		$pendingapproved = TRUE;
	}
	else if ( strcasecmp( $pendingsubdata["status"], "REJECTED" ) == 0 )
	{
		GenerateHeader( "EverList - Subscribe", TRUE );
		$topdata = array();
		$topdata = GenerateTop( $userdata );
		
		print "<h3>" . $forumdata["fname"] . "</h3>";
		print "<b style=\"color: red\">Your subscription request has been REJECTED!</b>";
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
	else if ( strcasecmp( $pendingsubdata["status"], "BANNED" ) == 0 )
	{
		GenerateHeader( "EverList - Subscribe", TRUE );
		$topdata = array();
		$topdata = GenerateTop( $userdata );
		
		print "<h3>" . $forumdata["fname"] . "</h3>";
		print "<b style=\"color: red\">You have been BANNED from this forum!</b>";
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
	else if ( strcasecmp( $pendingsubdata["status"], "NEW" ) == 0 )
	{
		GenerateHeader( "EverList - Subscribe", TRUE );
		$topdata = array();
		$topdata = GenerateTop( $userdata );
		
		if ( $cur_time - $pendingsubdata["timestamp"] >= pow( 60, 2 ) * 24 )
		{
			print "<h3>" . $forumdata["fname"] . "</h3>";
			print "<b style=\"color: red\">Your subscription still has not been emailed to the moderator!  This could be due to a system error.  Please contact the listserv administrator immediately for assistance!</b>";
		}
		else
		{
			print "<h3>" . $forumdata["fname"] . "</h3>";
			print "<b style=\"color: navy\">Your subscription request should be emailed to the moderator within a few minutes.  Please be patient.</b>";
		}
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
	else if ( strcasecmp( $pendingsubdata["status"], "PENDING" ) == 0 )
	{
		GenerateHeader( "EverList - Subscribe", TRUE );
		$topdata = array();
		$topdata = GenerateTop( $userdata );
		
		print "<h3>" . $forumdata["fname"] . "</h3>";
		print "<b style=\"color: red\">Your subscription request is currently PENDING.  Please be patient.</b>";
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
}

if ( $formstage == 1 )
{
	if ( IsBanned( $profiledata, $fid ) )
	{
		print "You cannot subscribe to this forum!  You have been banned by a moderator.  Sorry.";
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
	
	if ( $forumdata["subscriptionpolicy"] == 2 && $subscribed == FALSE && $pendingapproved == FALSE )
	{
		$query = "insert into pendingsubs values ( NULL, '$fid', ";
		$query .= "'$digestoption', '" . $userdata["userid"] . "', ";
		$query .= "'$cur_time', 'NEW' )";
		$resulttl2 = mysql_query( $query ) or die( "Query '$query' failed for resulttl2 in subscribe.php : " . mysql_error() );
		
		GenerateHeader( "EverList - Subscribe", TRUE );
		$topdata = array();
		$topdata = GenerateTop( $userdata );
		
		$profiledata = array();
		$profiledata = $topdata["profiledata"];
		
		$moderators = array();
		$moderators = GetModerators( $fid );
		
		foreach ( $moderators as $modkey => $modval )
		{
			if ( $modkey == 0 )
			{
				continue;
			}
			
			$moduser = array();
			$moduser = LoadUser( $modval );
			
			$subject = "New Subscription Request!";
			
			$msgbody = "The user, <a href=\"$siteurl/viewprofile.php?userid=" . $profiledata["userid"] . "\">" . $profiledata["fullname"] . "</a>, has requested to ";
			$msgbody .= "be subscribed to the forum, <a href=\"$siteurl/viewforum.php?fid=$fid\">";
			$msgbody .= $forumdata["fname"] . "</a>.  Please login to your account and ";
			$msgbody .= "approve or reject the request.";
			
			$mailresult = mail( $moduser["email"], $subject, $msgbody, 
				// Email header
				"From: " . $mailfrom . "\r\n" 
				. "Reply-To: " . $mailfrom . "\r\n" 
				. "Content-type: text/html\r\n" 
				. "X-mailer: PHP/" . phpversion() );
		}
		
		$query = "update pendingsubs set status='PENDING' where fid='$fid' AND userid='" . $userdata["userid"] . "' AND timestamp='$cur_time'";
		$resulttl4 = mysql_query( $query ) or die( "Query '$query' failed for resulttl4 in subscribe.php : " . mysql_error() );
		
		print "<h3>" . $forumdata["fname"] . "</h3>";
		print "<b style=\"color: green\">Your subscription request has been sent to the forum moderator.  You will be subscribed if/when your request has been approved.</b>";
		
		GenerateBottom();
		GenerateFooter();
		die();
	}
	
	$subdata = array();
	$subdata = AddSub( $profiledata, $fid, $digestoption );
	
	if ( $besubscribed == 0 )
	{
		$subdata = RemoveSub( $profiledata, $fid );
	}
	
	$insertfstring = NULL;
	$insertdstring = NULL;
	for ( $iloop = 1; $iloop <= $subdata["subforums"][0]; $iloop++ )
	{
		$insertfstring .= strval( $subdata["subforums"][$iloop] );
		$insertdstring .= strval( $subdata["digpref"][$iloop] );
		
		if ( $iloop < $subdata["subforums"][0] )
		{
			$insertfstring .= "|";
			$insertdstring .= "|";
		}
	}
	
	$query = "update profiles set subscribedforumids='$insertfstring', ";
	$query .= "forumdigestprefs='$insertdstring' ";
	$query .= "where prid='" . $profiledata["prid"] . "'";
	$resulttl1 = mysql_query( $query ) or die( "Query '$query' failed for resulttl1 in subscribe.php : " . mysql_error() );
	
	if ( $besubscribed == 1 )
	{
		$ok = EnterForum( $fid, $userdata, $forumdata, $profiledata );
	}
	
	/* Reload with new data.  --Kris */
	header( "Location: subscribe.php?updated=1&fid=$fid" );
	die();
}

GenerateHeader( "EverList - Subscribe", TRUE );
$topdata = array();
$topdata = GenerateTop( $userdata );

if ( $updated == 1 )
{
	print "<h2 style=\"color: green\">Your settings have been saved!</h2>";
}

print "<h3>Subscription Status for <b style=\"color: blue\">";
print $forumdata["fname"];
print "</b>: &nbsp;";
if ( $subscribed == TRUE )
{
	print "<span style=\"color: green\">Subscribed!</span>";
	$subyeschecked = " checked";
	$subnochecked = NULL;
	$digestpref = GetDigestPref( $profiledata, $fid );
}
else
{
	print "<span style=\"color: red\">NOT Subscribed!</span>";
	$subyeschecked = NULL;
	$subnochecked = " checked";
	$digestpref = $forumdata["fdigestdefault"];
}
print "</h3>";

$recstring = array();
$recstring[$forumdata["fdigestdefault"]] = " (RECOMMENDED)";

?>
<b style="color: blue">Current Settings:</b>

<br />
<br />

<?php

if ( IsBanned( $profiledata, $fid ) )
{
	print "<b style=\"color: red\">";
	print "You have been permanently BANNED from this forum by a moderator!";
	
	GenerateBottom();
	GenerateFooter();
	die();
}

?>
<form name="subform" action="subscribe.php" method="POST">

<input type="hidden" name="fid" value="<?php print $fid; ?>" />
<input type="hidden" name="formstage" value="1" />

<table border="0" cellspacing="2" cellpadding="2">
<tr>
<td align="right" valign="top">
<b>Subscribed?</b> &nbsp;
</td>
<td>
<input onmouseup="CheckDigest(1);" type="radio" name="besubscribed" value="1"<?php print $subyeschecked; ?>> Yes
<br />
<input onmouseup="CheckDigest(2);" type="radio" name="besubscribed" value="0"<?php print $subnochecked; ?>> No
</td>
</tr>
<tr>
<td align="right" valign="top">
<b><div name="emaildigest" id="emaildigest">Email Digest Options:</div></b> &nbsp;
</td>
<td valign="top">
<select name="digestoption" style="font-size: 8pt">
<option value="0">Do NOT receive ANY emails for this forum<?php print $recstring[0]; ?></option>
<option value="1">Receive email transcript of all new posts<?php print $recstring[1]; ?></option>
<option value="2">Receive email transcript for all new topics, but not replies<?php print $recstring[2]; ?></option>
<option value="3">Receive email transcript for all new topics, plus a one-time email notification 
on the FIRST reply<?php print $recstring[3]; ?></option>
</select>
</td>
</tr>
</table>

<br />
<br />

<input type="submit" name="submitform" value="Save Changes" />

</form>

<script language="JavaScript">
document.subform.digestoption.value='<?php print $digestpref; ?>';
CheckDigest(0);
function CheckDigest(which)
{
	if ( which == 0 )
	{
		if ( document.subform.besubscribed[1].checked == true )
		{
			document.subform.digestoption.disabled = true;
			document.getElementById("emaildigest").style.textDecoration="line-through";
			document.getElementById("emaildigest").style.color="gray";
		}
		else
		{
			document.subform.digestoption.disabled = false;
			document.getElementById("emaildigest").style.textDecoration="none";
			document.getElementById("emaildigest").style.color="black";
		}
	}
	else if ( which == 1 )
	{
		document.subform.digestoption.disabled = false;
		document.getElementById("emaildigest").style.textDecoration="none";
		document.getElementById("emaildigest").style.color="black";
	}
	else if ( which == 2 )
	{
		document.subform.digestoption.disabled = true;
		document.getElementById("emaildigest").style.textDecoration="line-through";
		document.getElementById("emaildigest").style.color="gray";
	}
}
</script>

<?php
GenerateBottom();
GenerateFooter();
